<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CCustomsAttachedFilesArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\Type\CCustomsAttachedFile
     */
    private $items;

    public function getItems(): CCustomsAttachedFile
    {
        return $this->items;
    }

    public function withItems(CCustomsAttachedFile $items): CCustomsAttachedFilesArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
